summaryrefslogtreecommitdiffstats
path: root/system/profile-sync-daemon/profile-sync-daemon.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/profile-sync-daemon/profile-sync-daemon.SlackBuild')
-rw-r--r--system/profile-sync-daemon/profile-sync-daemon.SlackBuild70
1 files changed, 70 insertions, 0 deletions
diff --git a/system/profile-sync-daemon/profile-sync-daemon.SlackBuild b/system/profile-sync-daemon/profile-sync-daemon.SlackBuild
new file mode 100644
index 0000000000..8fe6491ef2
--- /dev/null
+++ b/system/profile-sync-daemon/profile-sync-daemon.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# SlackBuild script for "profile-sync-daemon".
+# Copyright 2014 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=profile-sync-daemon
+VERSION=${VERSION:-5.52}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i 's#/share##g' Makefile
+patch -p1 < $CWD/psd.openrc.patch
+make
+make install-bin install-man install-cron DESTDIR=$PKG
+
+mv $PKG/etc/cron.hourly/psd-update $PKG/etc/cron.hourly/psd-update.new
+install -D -m 0644 $TMP/$PRGNAM-$VERSION/common/psd.conf $PKG/etc/psd.conf.new
+install -D -m 0644 $TMP/$PRGNAM-$VERSION/init/psd.openrc $PKG/etc/rc.d/rc.psd.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a GPL-2 INSTALL LICENCE MIT README.md VERSION_4_WARNING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}